libglom-1.26 1.28.5

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::LayoutItem_Placeholder Class Reference
Inheritance diagram for Glom::LayoutItem_Placeholder:
[legend]
Collaboration diagram for Glom::LayoutItem_Placeholder:
[legend]

## Public Member Functions
| LayoutItem_Placeholder ()
| ~LayoutItem_Placeholder ()
| LayoutItem_Placeholder (const LayoutItem_Placeholder& src)
virtual LayoutItem* | clone () const
| Create a new copied instance. More...
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML). More...
bool | operator== (const LayoutItem_Placeholder* src) const
Public Member Functions inherited from Glom::LayoutItem
| LayoutItem ()
| LayoutItem (const LayoutItem& src)
LayoutItem& | operator= (const LayoutItem& src)
virtual | ~LayoutItem ()
bool | operator== (const LayoutItem& src) const
virtual bool | get_editable () const
virtual void | set_editable (bool val=true)
virtual Glib::ustring | get_layout_display_name () const
guint | get_display_width () const
void | set_display_width (guint value)
void | get_print_layout_position (double& x, double& y, double& width, double& height) const
| This is used only for the print layouts. More...
void | set_print_layout_position (double x, double y, double width, double height)
| This is used only for the print layouts. More...
void | set_print_layout_position_y (double y)
| This is used only for the print layouts. More...
void | set_print_layout_split_across_pages (bool split=true)
| This is used only for the print layouts. More...
bool | get_print_layout_split_across_pages () const
| This is used only for the print layouts. More...
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const

## Additional Inherited Members
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { TRANSLATABLE_TYPE_INVALID, TRANSLATABLE_TYPE_FIELD, TRANSLATABLE_TYPE_RELATIONSHIP, TRANSLATABLE_TYPE_LAYOUT_ITEM, TRANSLATABLE_TYPE_CUSTOM_TITLE, TRANSLATABLE_TYPE_PRINT_LAYOUT, TRANSLATABLE_TYPE_REPORT, TRANSLATABLE_TYPE_TABLE, TRANSLATABLE_TYPE_BUTTON, TRANSLATABLE_TYPE_TEXTOBJECT, TRANSLATABLE_TYPE_IMAGEOBJECT, TRANSLATABLE_TYPE_CHOICEVALUE, TRANSLATABLE_TYPE_DATABASE_TITLE, TRANSLATABLE_TYPE_STATIC_TEXT }
typedef std::map< Glib::ustring, Glib::ustring > | type_map_locale_to_translations
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files. More...
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Constructor & Destructor Documentation

Glom::LayoutItem_Placeholder::LayoutItem_Placeholder | ( |  | ) |

Glom::LayoutItem_Placeholder::~LayoutItem_Placeholder | ( |  | ) |

Glom::LayoutItem_Placeholder::LayoutItem_Placeholder | ( | const LayoutItem_Placeholder& | src | ) |

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Placeholder::clone | ( |  | ) | const
| virtual

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Placeholder::get_part_type_name | ( |  | ) | const
| virtual

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Placeholder::get_report_part_id | ( |  | ) | const
| virtual

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem.

bool Glom::LayoutItem_Placeholder::operator== | ( | const LayoutItem_Placeholder* | src | ) | const

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_placeholder.h